Just about 2 weeks after releasing the previous version, the Dev Team released today UltraSn0w 1.2.3, a software unlock for iPhone 4 and iPhone 3GS. Like its predecessor, this newer version of UltraSn0w doesn’t unlock the latest basebands.

UltraSn0w will only work for the older iPhone 4 baseband 1.59.00, and iPhone 3G/3GS basebands 4.26.08, 5.11.07, 5.12.01, 5.13.04, and 6.15.00

Again, just to be very clear, if your baseband is different from any of the basebands listed above, you will not be able to use UltraSn0w to unlock your iPhone.

As usual, UltraSn0w can be downloaded from Cydia. Make sure you reboot your iPhone after installing UltraSn0w.